Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 6e24d20038fef0e1db17477bffcceca792ab615f)
+++ chapter01/changelog.xml	(revision efae0398b45361b65c543be34877e50d06144631)
@@ -41,4 +41,62 @@
     -->
     <listitem>
+      <para>2022-10-15</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20221007. Addresses
+          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to vim-9.0.0739. Addresses
+          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Add upstream patches to readline and bash. Fixes
+          <ulink url="&lfs-ticket-root;5135">#5131</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to zlib-1.2.13. Fixes
+          <ulink url="&lfs-ticket-root;5137">#5137</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-6.00. Fixes
+          <ulink url="&lfs-ticket-root;5136">#5136</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gettext-0.21.1. Fixes
+          <ulink url="&lfs-ticket-root;5130">#5130</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-6.0.0. Fixes
+          <ulink url="&lfs-ticket-root;5127">#5127</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.63.3. Fixes
+          <ulink url="&lfs-ticket-root;5129">#5129</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Python-3.10.8. Fixes
+          <ulink url="&lfs-ticket-root;5133">#5133</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xz-5.2.7. Fixes
+          <ulink url="&lfs-ticket-root;5133">#5133</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2022e. Fixes
+          <ulink url="&lfs-ticket-root;5119">#5134</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-6.0.1. Fixes
+          <ulink url="&lfs-ticket-root;5135">#5135</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[bdubbs] - Update to dbus-1.14.4. Fixes
+          <ulink url="&lfs-ticket-root;5128">#5128</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2022-10-04</para>
       <itemizedlist>
@@ -77,5 +135,5 @@
         <listitem>
           <para>[bdubbs] - Update to libcap-2.66. Fixes
-          <ulink url="&lfs-ticket-root;512">#5120</ulink>.</para>
+          <ulink url="&lfs-ticket-root;5120">#5120</ulink>.</para>
         </listitem>
         <listitem revision="systemd">
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 6e24d20038fef0e1db17477bffcceca792ab615f)
+++ chapter01/whatsnew.xml	(revision efae0398b45361b65c543be34877e50d06144631)
@@ -107,7 +107,7 @@
        <para>GDBM-&gdbm-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Gettext-&gettext-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Glibc-&glibc-version;</para>
@@ -140,7 +140,7 @@
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>IPRoute2-&iproute2-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem revision="systemd">
       <para>Jinja2-&jinja2-version;</para>
@@ -185,7 +185,7 @@
       <para>Man-DB-&man-db-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Man-pages-&man-pages-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem revision="systemd">
       <para>MarkupSafe-&markupsafe-version;</para>
@@ -260,16 +260,16 @@
       <para>Util-Linux-&util-linux-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Vim-&vim-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>XML-Parser-&xml-parser-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>XZ-Utils-&xz-version;</para>
-    </listitem>-->
-    <!--<listitem>
+    </listitem>
+    <listitem>
       <para>Zlib-&zlib-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Zstd-&zstd-version;</para>
@@ -290,7 +290,10 @@
     <listitem><para></para></listitem>  <!-- satisfy build -->
 
-    <!--<listitem>
-      <para>&xz-upstream-fix-patch;</para>
-    </listitem>-->
+    <listitem>
+      <para>&bash-fixes-patch;</para>
+    </listitem>
+    <listitem>
+      <para>&readline-fixes-patch;</para>
+    </listitem>
   </itemizedlist>
 
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 6e24d20038fef0e1db17477bffcceca792ab615f)
+++ chapter03/patches.xml	(revision efae0398b45361b65c543be34877e50d06144631)
@@ -27,5 +27,5 @@
     </varlistentry>
 -->
-<!--
+
     <varlistentry>
       <term>Bash Upstream Fixes Patch - <token>&bash-fixes-patch-size;</token>:</term>
@@ -35,5 +35,5 @@
       </listitem>
     </varlistentry>
--->
+
 <!--
     <varlistentry>
@@ -119,13 +119,13 @@
     </varlistentry>
 -->
-<!--
+
     <varlistentry>
-      <term>Shadow Segfault Fix Patch - <token>&shadow-segfault-patch-size;</token>:</term>
+      <term>Readline Upstream Fix Patch - <token>&readline-fixes-patch-size;</token>:</term>
       <listitem>
-        <para>Download: <ulink url="&patches-root;&shadow-segfault-patch;"/></para>
-        <para>MD5 sum: <literal>&shadow-segfault-patch-md5;</literal></para>
+        <para>Download: <ulink url="&patches-root;&readline-fixes-patch;"/></para>
+        <para>MD5 sum: <literal>&readline-fixes-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
--->
+
     <varlistentry revision="sysv">
       <term>Sysvinit Consolidated Patch - <token>&sysvinit-consolidated-patch-size;</token>:</term>
Index: chapter08/bash.xml
===================================================================
--- chapter08/bash.xml	(revision 6e24d20038fef0e1db17477bffcceca792ab615f)
+++ chapter08/bash.xml	(revision efae0398b45361b65c543be34877e50d06144631)
@@ -40,4 +40,8 @@
   <sect2 role="installation">
     <title>Installation of Bash</title>
+
+    <para>First, fix some issues identified upstream:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&bash-fixes-patch;</userinput></screen>
 
     <para>Prepare Bash for compilation:</para>
Index: chapter08/readline.xml
===================================================================
--- chapter08/readline.xml	(revision 6e24d20038fef0e1db17477bffcceca792ab615f)
+++ chapter08/readline.xml	(revision efae0398b45361b65c543be34877e50d06144631)
@@ -49,4 +49,8 @@
 <screen><userinput remap="pre">sed -i '/MV.*old/d' Makefile.in
 sed -i '/{OLDSUFF}/c:' support/shlib-install</userinput></screen>
+
+    <para>Now fix a problem identified upstream:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../&readline-fixes-patch;</userinput></screen>
 
     <para>Prepare Readline for compilation:</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 6e24d20038fef0e1db17477bffcceca792ab615f)
+++ packages.ent	(revision efae0398b45361b65c543be34877e50d06144631)
@@ -115,8 +115,8 @@
 <!ENTITY coreutils-fin-sbu "2.8 SBU">
 
-<!ENTITY dbus-version "1.14.2">
-<!ENTITY dbus-size "1,332 KB">
+<!ENTITY dbus-version "1.14.4">
+<!ENTITY dbus-size "1,337 KB">
 <!ENTITY dbus-url "https://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.xz">
-<!ENTITY dbus-md5 "2d9a6b441e6f844d41c35a004f0ef50b">
+<!ENTITY dbus-md5 "e36f0f160751fa7ce103782166852c6b">
 <!ENTITY dbus-home "https://www.freedesktop.org/wiki/Software/dbus">
 <!ENTITY dbus-fin-du "19 MB">
@@ -246,8 +246,8 @@
 <!ENTITY gdbm-fin-sbu "0.1 SBU">
 
-<!ENTITY gettext-version "0.21">
-<!ENTITY gettext-size "9,487 KB">
+<!ENTITY gettext-version "0.21.1">
+<!ENTITY gettext-size "9,819 KB">
 <!ENTITY gettext-url "&gnu;gettext/gettext-&gettext-version;.tar.xz">
-<!ENTITY gettext-md5 "40996bbaf7d1356d3c22e33a8b255b31">
+<!ENTITY gettext-md5 "27fcc8a42dbc8f334f23a08f1f2fe00a">
 <!ENTITY gettext-home "&gnu-software;gettext/">
 <!ENTITY gettext-tmp-du "282 MB">
@@ -318,8 +318,8 @@
 <!ENTITY gzip-fin-sbu "0.3 SBU">
 
-<!ENTITY iana-etc-version "20220922">
+<!ENTITY iana-etc-version "20221007">
 <!ENTITY iana-etc-size "584 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "2fdc746cfc1bc10f841760fd6a92618c">
+<!ENTITY iana-etc-md5 "4ba9c780b4cf3b0629a82fbe840cc14a">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.8 MB">
@@ -343,8 +343,8 @@
 <!ENTITY intltool-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.19.0">
-<!ENTITY iproute2-size "872 KB">
+<!ENTITY iproute2-version "6.0.0">
+<!ENTITY iproute2-size "880 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "415bd9eeb8515a585e245809d2fe45a6">
+<!ENTITY iproute2-md5 "5da6cb3154ee09b9a8b4004d1c2df4cd">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-fin-du "16 MB">
@@ -423,12 +423,12 @@
 <!ENTITY libtool-fin-sbu "1.5 SBU">
 
-<!ENTITY linux-major-version "5">
-<!ENTITY linux-minor-version "19">
-<!ENTITY linux-patch-version "13">
+<!ENTITY linux-major-version "6">
+<!ENTITY linux-minor-version "0">
+<!ENTITY linux-patch-version "1">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "128,568 KB">
+<!ENTITY linux-size "130,737 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "fd9538870c56a39ec8a7c1d6abf0b43a">
+<!ENTITY linux-md5 "514d7aafe8964474b14f8fe6c69e6895">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
@@ -472,8 +472,8 @@
 <!ENTITY man-db-fin-sbu "0.4 SBU">
 
-<!ENTITY man-pages-version "5.13">
-<!ENTITY man-pages-size "1,752 KB">
+<!ENTITY man-pages-version "6.00">
+<!ENTITY man-pages-size "1,746 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "3ac24e8c6fae26b801cb87ceb63c0a30">
+<!ENTITY man-pages-md5 "1a30556c061af0616bd8af882e040edb">
 <!ENTITY man-pages-home "https://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-fin-du "33 MB">
@@ -488,8 +488,8 @@
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.63.2">
-<!ENTITY meson-size "2,016 KB">
+<!ENTITY meson-version "0.63.3">
+<!ENTITY meson-size "2,020 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "12ae3150982645790a4f8a8e8795173c">
+<!ENTITY meson-md5 "b2f2757b5dd84cc754b9df53ce37a175">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "38 MB">
@@ -589,9 +589,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.10.7">
+<!ENTITY python-version "3.10.8">
 <!ENTITY python-minor "3.10">
-<!ENTITY python-size "19,159 KB">
+<!ENTITY python-size "19,160 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "b8094f007b3a835ca3be6bdf8116cccc">
+<!ENTITY python-md5 "e92356b012ed4d0e09675131d39b1bde">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "364 MB">
@@ -600,6 +600,6 @@
 <!ENTITY python-fin-sbu "3.4 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "d5923c417995334e72c2561812905d23">
-<!ENTITY python-docs-size "7,176 KB">
+<!ENTITY python-docs-md5 "e19fa51f7055c0e869d609f2dfbcc5d9">
+<!ENTITY python-docs-size "7,190 KB">
 
 <!ENTITY readline-version "8.2">
@@ -695,8 +695,8 @@
 <!ENTITY texinfo-fin-sbu "0.6 SBU">
 
-<!ENTITY tzdata-version "2022d">
+<!ENTITY tzdata-version "2022e">
 <!ENTITY tzdata-size "424 KB">
 <!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "e55dbeb2121230a0ae7c58dbb47ae8c8">
+<!ENTITY tzdata-md5 "97bf180d57c3e51a49742d1d87ceed40">
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
 
@@ -718,11 +718,11 @@
 <!ENTITY util-linux-fin-sbu "1.0 SBU">
 
-<!ENTITY vim-version "9.0.0228">
+<!ENTITY vim-version "9.0.0739">
 <!-- <!ENTITY vim-majmin "90"> -->
 <!ENTITY vim-docdir "vim/vim90">
-<!ENTITY vim-size "16,372 KB">
+<!ENTITY vim-size "16,370 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
 <!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "bc7e0a4829d94bb4c03a7a6b4ad6a8cf">
+<!ENTITY vim-md5 "d28503800dcd471edf8c308f5a74f177">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "217 MB">
@@ -746,8 +746,8 @@
 <!ENTITY xml-parser-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY xz-version "5.2.6">
-<!ENTITY xz-size "1,234 KB">
+<!ENTITY xz-version "5.2.7">
+<!ENTITY xz-size "1,253 KB">
 <!ENTITY xz-url "https://tukaani.org/xz/xz-&xz-version;.tar.xz">
-<!ENTITY xz-md5 "d9cd5698e1ec06cf638c0d2d645e8175">
+<!ENTITY xz-md5 "6c130d21e260d4476e971985e7394e83">
 <!ENTITY xz-home "https://tukaani.org/xz">
 <!ENTITY xz-tmp-du "16 MB">
@@ -756,8 +756,8 @@
 <!ENTITY xz-fin-sbu "0.2 SBU">
 
-<!ENTITY zlib-version "1.2.12">
-<!ENTITY zlib-size "1259 KB">
+<!ENTITY zlib-version "1.2.13">
+<!ENTITY zlib-size "1267 KB">
 <!ENTITY zlib-url "https://zlib.net/zlib-&zlib-version;.tar.xz">
-<!ENTITY zlib-md5 "28687d676c04e7103bb6ff2b9694c471">
+<!ENTITY zlib-md5 "7d9fc1d78ae2fa3e84fe98b77d006c63">
 <!ENTITY zlib-home "https://www.zlib.net/">
 <!ENTITY zlib-fin-du "6.1 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision 6e24d20038fef0e1db17477bffcceca792ab615f)
+++ patches.ent	(revision efae0398b45361b65c543be34877e50d06144631)
@@ -8,9 +8,9 @@
 <!ENTITY autoconf-fixes-patch-size "3.8 KB">
 -->
-<!--
+
 <!ENTITY bash-fixes-patch "bash-&bash-version;-upstream_fixes-1.patch">
-<!ENTITY bash-fixes-patch-md5 "c1545da2ad7d78574b52c465ec077ed9">
-<!ENTITY bash-fixes-patch-size "22 KB">
--->
+<!ENTITY bash-fixes-patch-md5 "5f20760139d6a97e55124988fcddae44">
+<!ENTITY bash-fixes-patch-size "2.0 KB">
+
 <!--
 <!ENTITY binutils-lto-patch "binutils-&binutils-version;-lto_fix-1.patch">
@@ -79,4 +79,8 @@
 <!ENTITY perl-fix-patch-size "1.6 KB">
 -->
+<!ENTITY readline-fixes-patch "readline-&readline-version;-upstream_fix-1.patch">
+<!ENTITY readline-fixes-patch-md5 "dd1764b84cfca6b677f44978218a75da">
+<!ENTITY readline-fixes-patch-size "1.3 KB">
+
 <!--
 <!ENTITY shadow-segfault-patch "shadow-&shadow-version;-useradd_segfault-1.patch">
